org.eclipse.cdt.core.dom

## Class CDOM

- java.lang.Object
- - org.eclipse.cdt.core.dom.CDOM

All Implemented Interfaces:
  IASTServiceProvider

Deprecated.
This class does not take into account language mappings. Use `ILanguage` instead.

    @Deprecated
    public class CDOM
    extends Object
    implements IASTServiceProvider

Restriction:
  This class is not intended to be referenced by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.IASTServiceProvider

`IASTServiceProvider.UnsupportedDialectException`

### Field Summary

Fields
`static int` `PARSE_SAVED_RESOURCES` Deprecated. Constant `PARSE_SAVED_RESOURCES` - Parse saved resources in the workspace
`static int` `PARSE_WORKING_COPY_WHENEVER_POSSIBLE` Deprecated. Constant `PARSE_WORKING_COPY_WHENEVER_POSSIBLE` - Parse working copy whenever possible for both header files and the file in question as a translation unit.
`static int` `PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS` Deprecated. Constant `PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS` - Parse working copy for translation unit, saved resources for all header files.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`IASTServiceProvider` `getASTService()` Deprecated.
`ICodeReaderFactory` `getCodeReaderFactory(int key)` Deprecated. This method always returns `null`.
`IASTCompletionNode` `getCompletionNode(org.eclipse.core.resources.IFile fileToParse, int offset, ICodeReaderFactory fileCreator)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTCompletionNode` `getCompletionNode(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, int offset, ICodeReaderFactory fileCreator)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`static CDOM` `getInstance()` Deprecated. accessor for singleton instance
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IFile fileToParse)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, boolean parseComments)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, boolean parseComments)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, IParserConfiguration configuration)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit` `getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, ICodeReaderFactory fileCreator)` Deprecated. Returns a parse tree that represents the content provided as parameters.
`void` `setWorkingCopyProvider(IWorkingCopyProvider workingCopyProvider)` Deprecated. This method has no effect.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARSE_SAVED_RESOURCES

    public static final int PARSE_SAVED_RESOURCES

Deprecated.
Constant `PARSE_SAVED_RESOURCES` - Parse saved resources in the workspace

See Also:
  Constant Field Values

#### PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS

    public static final int PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS

Deprecated.
Constant `PARSE_WORKING_COPY_WITH_SAVED_INCLUSIONS` - Parse working copy for translation unit, saved resources for all header files.

See Also:
  Constant Field Values

#### PARSE_WORKING_COPY_WHENEVER_POSSIBLE

    public static final int PARSE_WORKING_COPY_WHENEVER_POSSIBLE

Deprecated.
Constant `PARSE_WORKING_COPY_WHENEVER_POSSIBLE` - Parse working copy whenever possible for both header files and the file in question as a translation unit.

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static CDOM getInstance()

Deprecated.
accessor for singleton instance

Returns:
  instance

#### getASTService

    public IASTServiceProvider getASTService()

Deprecated.

Returns:
  IASTServiceProvider, the mechanism for obtaining an AST

#### getCodeReaderFactory

    public ICodeReaderFactory getCodeReaderFactory(int key)

Deprecated.
This method always returns `null`.

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse,
                                                  ICodeReaderFactory fileCreator)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse,
                                                  ICodeReaderFactory fileCreator,
                                                  IParserConfiguration configuration)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
  `configuration` - parser configuration provided rather than discovered by service
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getCompletionNode

    public IASTCompletionNode getCompletionNode(org.eclipse.core.resources.IFile fileToParse,
                                                int offset,
                                                ICodeReaderFactory fileCreator)
                                         throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getCompletionNode` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `offset` - the offset at which you require completion at
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getCompletionNode

    public IASTCompletionNode getCompletionNode(org.eclipse.core.resources.IStorage fileToParse,
                                                org.eclipse.core.resources.IProject project,
                                                int offset,
                                                ICodeReaderFactory fileCreator)
                                         throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getCompletionNode` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `project` - the project containing the scanner info
  `offset` - the offset at which you require completion at
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### setWorkingCopyProvider

    public void setWorkingCopyProvider(IWorkingCopyProvider workingCopyProvider)

Deprecated.
This method has no effect.

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse,
                                                  org.eclipse.core.resources.IProject project,
                                                  ICodeReaderFactory fileCreator)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `project` - project handle to help us figure out build settings
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse,
                                                  org.eclipse.core.resources.IProject project)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `project` - project handle to help us figure out build settings
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse,
                                                  boolean parseComments)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `parseComments` - parse commtents flag
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse,
                                                  ICodeReaderFactory fileCreator,
                                                  boolean parseComments)
                                           throws IASTServiceProvider.UnsupportedDialectException

Deprecated.
Description copied from interface: `IASTServiceProvider`
Returns a parse tree that represents the content provided as parameters.

Specified by:
  `getTranslationUnit` in interface `IASTServiceProvider`
Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
  `parseComments` - parse comments flag
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`